Subject: Re: bug#12476: no startup hook corresponding to gnus-suspend-gnus-hook

From: Sam Steingold <[email-masked]>
Date: Wed, 26 Dec 2012 10:05:57 -0500

> * Lars Ingebrigtsen <[email-masked]> [2012-12-25 14:29:47 +0100]:
>
> Sam Steingold <[email-masked]> writes:
>
>> I wish there were a better way to save-restore the window configuration,
>> than redefining gnus:
>> (defun sds-gnus (&rest args)
>>   (let ((wc (current-window-configuration)))
>>     (ignore-errors (apply #'gnus args))
>>     (set-window-configuration wc)))
>
> I think that's a reasonable thing to do if this is what you want to do.
> :-)  So I don't think this is a bug...

Alas, that did _not_ work because of the other issues I reported (resume
hooks were not called &c).
I now fixed this in the emacs trunk by adding a few hooks.
I hope it will propagate in the gnus proper.
Oh, and I should have marked my patches as fixing this bug :-(

-- 
Sam Steingold (http://sds.podval.org/) on Ubuntu 12.04 (precise) X 11.0.11103000
http://www.childpsy.net/ http://americancensorship.org http://mideasttruth.com
http://openvotingconsortium.org http://dhimmi.com http://honestreporting.com
He who laughs last thinks slowest.